Subject: [Mip6] [issue36] Comment by Allison

From: Basavaraj Patil <[email-masked]>
Date: Fri, 09 Sep 2005 18:39:15 +0000

New submission from Basavaraj Patil <[email-masked]>:

I'll put in this Discuss because of Russ's absence.  My attention has been drawn
for some
Transport documents to the expertise in BCP 107 (RFC 4107), and especially given
the fact that
there is self-definition of the applicability of the trust model for this usage,
the manual keys
here at least seems to me to need to meet the cryptographic requirements in BCP
107, such as:

  When manual key management is used, long-term shared secrets MUST be
  unpredictable "random" values, ensuring that an adversary will have
  no greater expectation than 50% of finding the value after searching
  half the key search space.

There are other discusses like this, but I'm not sure if they call for
specifying the
key generation procedure to ensure randomness.  There's also a SHOULD in
BCP 107 for a sufficiently long key.  BCP 107 may need to be normative here.

I'm sorry if this did not come up in the working group - the BCP has been in an
approved status for quite a long time, though the RFC publication was recent.

----------
category: Technical
draft: draft-ietf-mip6-precfgkbm
messages: 135
nosy: bpatil
priority: Should fix
status: Pending
title: Comment by Allison

_________________________________________________
Mip6 issue tracker <[email-masked]>
<http://www.mip4.org/issues/tracker/mip6/issue36>
_________________________________________________

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6